Subject: bug#44113: 28.0.50; crash with cairo and Noto Sans Javanese font

From: Robert Pluim <[email-masked]>
Date: Wed, 21 Oct 2020 15:00:45 +0200

>>>>> On Wed, 21 Oct 2020 14:22:13 +0200, Stephen Berman <[email-masked]> said:

    Stephen> On Wed, 21 Oct 2020 12:12:00 +0200 Stephen Berman <[email-masked]> wrote:
    >> I installed NotoSansJavanese-Regular.ttf and when I type `C-h h' to view
    >> the Javanese script, Emacs immediately crashes.  It also crashes when I
    >> just try to insert a character from that script, e.g. `C-x 8 RET #xa9b2
    >> RET'.  I've attached the backtrace from gdb produced from the latter.
    >> Emacs also crashes when trying to display a character from the Balinese
    >> script with NotoSansBalinese-Regular.ttf installed.  The crashes do not
    >> happen in emacs-27 built without cairo, but characters from the Javanese
    >> and Balinese scripts are displayed there as tofu, as they are in Firefox
    >> (e.g. https://en.wikipedia.org/wiki/Javanese_script), so maybe the fonts
    >> are buggy; and indeed, when I uninstall them Emacs built with cairo does
    >> not crash and the characters are displayed as tofu.

    Stephen> It seems those fonts are indeed buggy: I just installed
    Stephen> NotoSansJavanese-Regular.ttf from
    Stephen> https://github.com/googlefonts/noto-fonts and with it the Javanese
    Stephen> script sample in etc/HELLO displays fine both in Emacs from master built
    Stephen> with cairo and in emacs-27 with xft (and the Javanese script Wikipedia
    Stephen> page also displays fine in Firefox; the googlefonts repository does not
    Stephen> contain NotoSansBalinese-Regular.ttf but instead
    Stephen> NotoSerifBalinese-Regular.ttf, which I also installed and with it the
    Stephen> Balinese characters in the Wikipedia page also display fine).

    >> But it would be
    >> better for Emacs with cairo not to crash with a buggy font, if possible.

    Stephen> That would still be good, but if it's not practically feasible, I guess
    Stephen> this bug should just be closed.

    Stephen> Steve Berman

Looking at the backtrace, this could be another manifestation of
bug#41627. That bug has a patch, would it be possible to try it?

Thanks

Robert
--